Disk ARchive: libdar::archive_num Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
libdar::archive_num Class Reference
API

class archive_num stores the position of an archive inside a dar_manager database More...

`#include <archive_num.hpp>`

## Public Member Functions
| archive_num (U_16 arg=0)
| archive_num (const archive_num &ref)=default
| archive_num (archive_num &&ref) noexcept=default
archive_num & | operator= (const archive_num &ref)=default
archive_num & | operator= (archive_num &&ref)=default
| operator U_16 () const
| this operator makes an object of that class convertible to an 16 bits integer
U_16 | operator= (U_16 arg)
archive_num & | operator++ ()
void | read_from_file (generic_file &f)
void | write_to_file (generic_file &f) const

## Private Member Functions
void | set (U_16 arg)

## Private Attributes
U_16 | val

## Static Private Attributes
static constexpr U_I | val_size = sizeof(U_16)
static constexpr U_I | MAX = 65534

## Detailed Description

class archive_num stores the position of an archive inside a dar_manager database

Definition at line 46 of file archive_num.hpp.

## Constructor & Destructor Documentation

## ◆ archive_num()

libdar::archive_num::archive_num | ( | U_16 | arg = 0 | ) |
| inline

Definition at line 49 of file archive_num.hpp.

## Member Function Documentation

## ◆ operator U_16()

libdar::archive_num::operator U_16 | ( |  | ) | const
| inline

this operator makes an object of that class convertible to an 16 bits integer

Note
  this is the only call you should need, just use an archive_num implictely of explicitely as an integer

Definition at line 60 of file archive_num.hpp.

## ◆ operator++()

archive_num & libdar::archive_num::operator++ | ( |  | ) |
| inline

Definition at line 62 of file archive_num.hpp.

## ◆ operator=()

U_16 libdar::archive_num::operator= | ( | U_16 | arg | ) |
| inline

Definition at line 61 of file archive_num.hpp.

## ◆ set()

void libdar::archive_num::set | ( | U_16 | arg | ) |
| inlineprivate

Definition at line 77 of file archive_num.hpp.

## Member Data Documentation

## ◆ MAX

U_I libdar::archive_num::MAX = 65534
| staticconstexprprivate

Definition at line 73 of file archive_num.hpp.

## ◆ val

U_16 libdar::archive_num::val
| private

Definition at line 75 of file archive_num.hpp.

## ◆ val_size

U_I libdar::archive_num::val_size = sizeof(U_16)
| staticconstexprprivate

Definition at line 72 of file archive_num.hpp.

The documentation for this class was generated from the following file:

- archive_num.hpp